import { Router } from 'express';
import auth from '../middlewares/auth.js';
import UserController from '../controllers/user.js';
import tryHandler from '../response/errorHandler.js';

const UserRouter = new Router();

UserRouter.post('/register', tryHandler(auth.requireUsername), tryHandler(auth.requirePassword), tryHandler(UserController.register));
UserRouter.post('/login', tryHandler(auth.requireUsername), tryHandler(auth.requirePassword), tryHandler(UserController.login));
UserRouter.get('/synchronize/:groupId', tryHandler(auth.authenticate), tryHandler(auth.userIsInGroup), tryHandler(UserController.synchronize));

export default UserRouter;