import customError from "../response/customError.js";
import responseCodes from "../response/responseCodes.js";

const errorHandler = (e, obj) => {
    switch (e.code) {
        case '23505':
            throw new customError(`Duplicate ${obj}`, responseCodes.responses[obj].duplicate)
        case '22007':
            throw new customError(`Invalid syntax ${obj}`, responseCodes.responses.general.invalid_syntax)
        case '22001':
            throw new customError(`Value too long ${obj}`, responseCodes.responses[obj].too_long)
        default:
            throw new customError(`Unknown error ${obj}`, responseCodes.responses.general.unknown)
    };
};

export default errorHandler;